classification
Title: Implement cell repr test
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: python-dev, serhiy.storchaka, zach.ware
Priority: normal Keywords: patch

Created on 2013-12-08 08:48 by serhiy.storchaka, last changed 2013-12-11 22:28 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_cell_repr.patch serhiy.storchaka, 2013-12-08 08:48 review
Messages (6)
msg205528 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-08 08:48
Repr test for cell is empty. Proposed patch implements it.
msg205752 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-12-09 23:13
Left a comment on Rietveld; mostly LGTM.
msg205777 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-10 08:25
New changeset d98c5806c33c by Serhiy Storchaka in branch '2.7':
Issue #19928: Implemented a test for repr() of cell objects.
http://hg.python.org/cpython/rev/d98c5806c33c

New changeset 49eb895be796 by Serhiy Storchaka in branch '3.3':
Issue #19928: Implemented a test for repr() of cell objects.
http://hg.python.org/cpython/rev/49eb895be796

New changeset af9f3d737d4a by Serhiy Storchaka in branch 'default':
Issue #19928: Implemented a test for repr() of cell objects.
http://hg.python.org/cpython/rev/af9f3d737d4a
msg205852 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-10 20:18
New changeset 21a9abf6d428 by Zachary Ware in branch '2.7':
Issue #19928: Fix test on Windows
http://hg.python.org/cpython/rev/21a9abf6d428

New changeset a0f9f0778ce3 by Zachary Ware in branch '3.3':
Issue #19928: Fix test on Windows
http://hg.python.org/cpython/rev/a0f9f0778ce3

New changeset eb0622dc8376 by Zachary Ware in branch 'default':
Issue #19928: Fix test on Windows
http://hg.python.org/cpython/rev/eb0622dc8376
msg205853 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-12-10 20:20
This was failing the Windows buildbots; the object addresses have capital letters instead of lower case.  I'm sorry, I should have caught that at review.
msg205935 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-11 22:28
Thank you Zachary.
History
Date User Action Args
2013-12-11 22:28:14serhiy.storchakasetmessages: + msg205935
2013-12-10 20:20:08zach.waresetmessages: + msg205853
2013-12-10 20:18:55python-devsetmessages: + msg205852
2013-12-10 08:27:35serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-12-10 08:25:59python-devsetnosy: + python-dev
messages: + msg205777
2013-12-09 23:13:41zach.waresetmessages: + msg205752
2013-12-08 08:48:40serhiy.storchakacreate